Bug 1518162 - Version bump to at least 3.4.14
Summary: Version bump to at least 3.4.14
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ansible-lint
Version: el6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 11:02 UTC by Lars Weiler
Modified: 2017-12-30 22:57 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-30 22:57:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github willthames ansible-lint issues 278 None None None 2017-11-28 11:02 UTC

Description Lars Weiler 2017-11-28 11:02:59 UTC
Description of problem:
With the release of ansible 2.4.1.0 in EPEL6 with bug #1495237, ansible-lint needs a version bump to at least 3.4.14 (according to https://github.com/willthames/ansible-lint/issues/278).

Version-Release number of selected component (if applicable):
Currently available is 3.4.12

How reproducible:
everytime

Steps to Reproduce:
1. yum install ansible-lint
2. ansible-lint
3.

Actual results:
Python error "ImportError: cannot import name module_loader"

Expected results:
No python error and a working ansible-lint

Additional info:

Comment 1 Fedora Update System 2017-11-28 12:31:45 UTC
ansible-lint-3.4.17-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-23782de3fe

Comment 2 Lars Weiler 2017-11-28 14:08:27 UTC
There is a new bug with Python 2.6 now. This has been added to version 3.4.17. I just submitted a bug and fix in https://github.com/willthames/ansible-lint/issues/304

Comment 3 Parag Nemade 2017-11-29 04:34:49 UTC
I will wait for upstream to either commit that patch upstream or next upstream release.

Comment 4 Fedora Update System 2017-12-02 08:31:37 UTC
ansible-lint-3.4.17-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-23782de3fe

Comment 5 Lars Weiler 2017-12-07 10:03:25 UTC
FYI, the patch has been merged by upstream.

Comment 6 Parag Nemade 2017-12-08 03:18:04 UTC
Thanks, I will update to new version by tomorrow.

Comment 7 Fedora Update System 2017-12-30 22:57:17 UTC
ansible-lint-3.4.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.